## ltsp 5.5.10

=== Makefile ===
# Makefile to manage gettext files based in pppoeconf package 
# modified by Tiago Bortoletto Vaz <tiago@debian-ba.org>
# last update: Qua Jun 28 23:18:15 EDT 2006

DOMAIN=ltsp
POFILES=$(wildcard *.po)
MOFILES=$(patsubst %.po,%.mo,$(POFILES))
LINGUAS=$(basename $(POFILES))
GETTEXTFILES=$(shell find ../server ../common/ltsp-common-functions -type f | LC_ALL=C sort)
POTFILE=$(DOMAIN).pot
DESTDIR=/

%.mo: %.po
	msgfmt --statistics -o $@ $<

%.po: $(DOMAIN).pot
	msgmerge -U $*.po $(DOMAIN).pot

$(DOMAIN).pot: $(GETTEXTFILES)
	$(shell xgettext -L Shell -o $(DOMAIN).pot $(GETTEXTFILES))

update-po:
	-for lang in $(LINGUAS); do\
	    msgmerge -U $$lang.po $(DOMAIN).pot; \
	done

install: $(MOFILES)
	-for lang in $(LINGUAS); do\
	    install -d $(DESTDIR)/usr/share/locale/$$lang/LC_MESSAGES/; \
	    install -m 644 $$lang.mo $(DESTDIR)/usr/share/locale/$$lang/LC_MESSAGES/$(DOMAIN).mo; \
	done

all: update-po $(MOFILES)

clean:
	- rm *.mo *~

.PHONY: update-po

=== getltscfg/Makefile ===

CC ?= cc
LEX=flex
YACC=bison

LIBS=-lfl -lpopt
##LIBS=-lfl -ll -lpopt
YFLAGS=-v -d
CCFLAGS=-W -Wall $(CFLAGS) $(CPPFLAGS)

getltscfg:	getltscfg.o		\
		parser.tab.o		\
		lexer.o
	$(CC) -o getltscfg getltscfg.o	\
			parser.tab.o	\
			lexer.o		\
			$(LIBS)		\
			$(LDFLAGS)

getltscfg.o:	getltscfg.c		\
		getltscfg.h
	$(CC) -c getltscfg.c $(CCFLAGS) -o getltscfg.o

parser.tab.o:	parser.tab.c
	$(CC) -c parser.tab.c $(CCFLAGS) -o parser.tab.o

lexer.o:	lexer.c parser.tab.c
	$(CC) -c lexer.c $(CCFLAGS) -o lexer.o

parser.tab.c:	parser.y		\
		getltscfg.h
	$(YACC) $(YFLAGS) parser.y

lexer.c:	lexer.l			\
		getltscfg.h
	$(LEX) lexer.l
	mv lex.yy.c lexer.c

clean:
	-@rm -f lexer.c
	-@rm -f lexer.o
	-@rm -f parser.tab.c
	-@rm -f parser.tab.o
	-@rm -f y.output
	-@rm -f parser.tab.h
	-@rm -f parser.output
	-@rm -f getltscfg.o
	-@rm -f getltscfg

=== debian/changelog ===
ltsp (5.5.10-1build1) bionic; urgency=medium

  * No-change rebuild to pick up the shared flex library.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 20 Feb 2018 07:04:13 +0000

ltsp (5.5.10-1) unstable; urgency=medium

  * New upstream version
    [ Alkis Georgopoulos ]
    * Use binary tftp mode for transferring lts.conf. (LP: #238010)
    * Remove NBD swap files 10s after creation. (LP: #1686062)
    * cleanup.d: empty /etc/fstab to prevent boot failures. (LP: #1673401)
    * Allow block devices in ltsp-update-kernels.
    * Enable the DNS server functionality of dnsmasq by default.

    [ Vagrant Cascadian ]
    * ltsp-update-image: Enable support for selecting mksquashfs
      compression type.
    * init-ltsp.d: Symlink localtime instead of copying it. (LP: #1660392)
    * ltsp-build-client: Debian/Ubuntu: Fix timezone handling. (LP: #1660392)
    * init-ltsp.d: rcfiles: Only attempt to remove line from rc.local if
      rc.local actually exists (LP: #1700742).
    * init-ltsp.d: set-time: Disable pool servers if TIMESERVER is set.
      (LP: #1689338)
    * init-ltsp.d: set-time: Configure timesyncd as well as ntp.
	  (LP: #1689338)
    * Switch from /var/cache/ltsp to /run/ltsp. (LP: #1560344)
    * Sync translations with launchpad.

  [ Vagrant Cascadian ]
  * ltsp-client-core: Add dependency on fdisk or old versions of
    util-linux (Closes: #872092).
  * debian/rules: Add support for cross-compilation.
  * debian/control: Update to Standards-Version 4.1.1.
    - Set Priority to "optional", as "extra" is deprecated.
  * ltsp-client-core: Use activate-noawait trigger on update-initramfs.
  * debian/watch: Scan git repository for new upstream versions.
  * ltsp-client: Add dependency on systemd versions that enable
    systemd-timesyncd as a preferred alternative to ntpdate.
  * ltsp-client-core: Remove /var/cache/ltsp* and /var/lib/ltsp*
    directories as they are no longer used.
  * ltsp-server: Drop un-used dependency on python.
  * debian/control: Update Vcs-* to point to launchpad.
  * Switch to debhelper compat level 10.
  * ltsp-update-image: Add patch from upstream to exclude etckeeper
    directories from generated image.

 -- Vagrant Cascadian <vagrant@debian.org>  Wed, 29 Nov 2017 15:23:39 -0800

=== debian/control ===
Source: ltsp
Section: misc
Priority: optional
Maintainer: LTSP Debian Maintainers <pkg-ltsp-devel@lists.alioth.debian.org>
Uploaders: Vagrant Cascadian <vagrant@debian.org>
Build-Depends: automake | automaken,
  bison,
  debhelper (>= 10),
  flex,
  libfl-dev,
  dctrl-tools,
  libpopt-dev,
  libx11-dev,
  pkg-config,
  po-debconf,
  help2man
Standards-Version: 4.1.1
Vcs-Git: https://git.launchpad.net/ltsp -b debian/master
Vcs-Browser: https://git.launchpad.net/ltsp
Homepage: http://ltsp.org

Package: ltsp-server
Depends: ${misc:Depends},
  debconf-utils,
  debootstrap (>= 1.0.30),
  gettext-base,
  iproute2 | iproute | freebsd-net-tools,
  lsb-release,
  openssh-client,
  tcpd,
Recommends: ${vendor:Recommends},
  gnupg,
  nbd-server (>= 1:2.9.25-2),
  openbsd-inetd | inet-superserver,
  openssh-server,
  squashfs-tools,
  dnsmasq (>= 2.41) | tftpd-hpa | atftpd,
Suggests: audiooss,
  mate-desktop-environment | gnome-session | x-session-manager | x-window-manager,
  dnsmasq | isc-dhcp-server | dhcp3-server,
  ldm-server,
  libasound2-plugins,
  ltsp-docs,
  ltspfs,
  pulseaudio,
  qemu-user-static,
  sdm,
  x11-utils,
  xauth
Conflicts: ltsp-utils
Replaces: ltsp-utils
Architecture: all
Description: basic LTSP server environment
 This is the basic environment including the minimal features necessary to
 build an LTSP environment.
 .
 It also recommends services needed for thin-clients to boot and mount
 filesystems over the network.
 .
 LTSP stands for 'Linux Terminal Server Project'.

Package: ltsp-server-standalone
Depends: ${misc:Depends},
  ${vendor:Depends},
  gnupg,
  dnsmasq | isc-dhcp-server | dhcp3-server,
  ldm-server,
  libasound2-plugins,
  ltspfs,
  ltsp-server (>= ${binary:Version}),
  nbd-server (>= 1:2.9.25-2),
  openbsd-inetd | inet-superserver,
  openssh-server,
  squashfs-tools,
  dnsmasq (>= 2.41) | tftpd-hpa | atftpd,
  x11-utils,
  xauth
X-Debian-Depends:
  mate-desktop-environment | gnome-session | x-session-manager | x-window-manager
X-Ubuntu-Depends: gnome-session | mate-desktop-environment | x-session-manager | x-window-manager
Recommends: ltsp-docs
Architecture: all
Description: complete LTSP server environment
 This is a complete LTSP server environment with all LTSP server features
 including a DHCP server, remote device access using ltspfs, remote sound using
 pulseaudio, network swap using NBD and more.
 .
 LTSP stands for 'Linux Terminal Server Project'.

Package: ltsp-client-core
X-Ubuntu-Depends: busybox-static,
  udhcpc,
  usbutils
Pre-Depends: dpkg (>= 1.16.1),
Depends: ${misc:Depends},
  ${shlibs:Depends},
  ${vendor:Depends},
  console-setup,
  fdisk | util-linux (<< 2.29.2-3~),
  init,
  initramfs-tools (>= 0.99) [linux-any],
  iproute2 | iproute,
  kbd [linux-any] | console-tools [linux-any],
  lsb-base,
  lsb-release,
  nbd-client (>= 1:2.9.25-2) [linux-any],
  python,
  pxelinux [i386 amd64] | syslinux-common (<= 3:6) [i386 amd64],
  syslinux-common [i386 amd64],
  tftp-hpa,
  u-boot-tools [armhf armel],
  yaboot[powerpc]
Suggests: alsa-utils,
  cron,
  cryptsetup,
  cups-bsd,
  freerdp-x11 | rdesktop,
  inputattach [!s390 !s390x] | joystick (<< 20051019-6) [!s390 !s390x],
  ldm,
  libasound2-plugins,
  ltspfsd (>= 1.1),
  netcat-traditional | netcat,
  ntpdate,
  numlockx,
  pulseaudio,
  python-serial,
  rsyslog | system-log-daemon,
  sane-utils,
  sdm-terminal | x-display-manager,
  sshfs,
  x11-xserver-utils
X-Debian-Recommends: acpi-support-base
Recommends: ${vendor:Recommends}, procps, pciutils, dnsutils | knot-dnsutils, dbus
Breaks: ltsp-server (<< 5.3.7)
Replaces: ltsp-server (<< 5.3.7)
Architecture: any
Description: basic LTSP client environment
 This package provides the scripts needed to configure and boot a basic LTSP
 client.
 .
 DO NOT install this package on a regular machine, it is intended only
 for installation inside a LTSP client file system.
 .
 LTSP stands for 'Linux Terminal Server Project'.

Package: ltsp-client
X-Ubuntu-Depends: dbus,
  dmz-cursor-theme,
  language-pack-en,
  libgl1-mesa-dri,
  plymouth-theme-ubuntu-logo,
  plymouth-theme-ubuntu-text,
  wget
X-Debian-Depends: cryptsetup
Depends: ${misc:Depends},
  ${vendor:Depends},
  alsa-utils,
  cron,
  cups-bsd,
  freerdp-x11 | rdesktop,
  inputattach [!s390 !s390x] | joystick (<< 20051019-6) [!s390 !s390x],
  ldm,
  libasound2-plugins,
  ltsp-client-core (>= ${binary:Version}),
  ltspfsd (>= 1.1),
  netcat-traditional | netcat,
  systemd (>= 219-1) | ntpdate,
  numlockx,
  pulseaudio,
  python-serial,
  rsyslog | system-log-daemon,
  sane-utils,
  sshfs,
  x11-xserver-utils,
  xorg
X-Ubuntu-Recommends: fonts-dejavu-core | ttf-dejavu-core,
  fonts-freefont-ttf | ttf-freefont,
  fonts-guru,
  fonts-kacst-one,
  fonts-khmeros-core,
  fonts-lao,
  fonts-liberation,
  fonts-nanum,
  fonts-takao-pgothic,
  fonts-thai-tlwg | ttf-thai-tlwg,
  ttf-indic-fonts-core,
  ttf-ubuntu-font-family,
  ttf-wqy-microhei
Recommends: ${vendor:Recommends}
X-Ubuntu-Suggests: zram-config
Suggests: ${vendor:Suggests}
Architecture: any
Description: complete LTSP client environment
 This dependency package ensures that a complete LTSP client with a
 graphical user environment, remote audio and local device support is
 installed.
 .
 DO NOT install this package on a regular machine, it is intended only
 for installation inside a LTSP client file system.
 .
 LTSP stands for 'Linux Terminal Server Project'.

Package: ltsp-client-builder
Section: debian-installer
Package-Type: udeb
Architecture: all
Depends: ${misc:Depends},
  ${shlibs:Depends},
  ${vendor:Depends},
  pkgsel
X-Debian-Depends: kbd-chooser
X-Ubuntu-Depends: console-setup-udeb
XB-Installer-Menu-Item: 7000
Description: build an LTSP environment in the installer target
 This udeb bootstraps the LTSP client chroot in the installer target
 while the CD-ROM is still mounted.
 .
 LTSP stands for 'Linux Terminal Server Project'.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/vendor.mk
include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
export CROSS_COMPILE ?= $(DEB_HOST_GNU_TYPE)-
endif

%:
	dh $@

override_dh_auto_configure:
	cd server/man; ./configure ; cd -
ifeq ($(DEB_HOST_ARCH_OS),linux)
	cd client/nbd-proxy; ./configure --prefix=/usr --libexecdir=/usr/lib --host=$(DEB_HOST_GNU_TYPE) ; cd -
endif

	$(MAKE) CC=$(CROSS_COMPILE)gcc -C client/getltscfg
	DEB_VERSION="$(DEB_VERSION)" VENDOR="$(DEB_VENDOR)" $(MAKE) -C server/man
ifeq ($(DEB_HOST_ARCH_OS),linux)
	$(MAKE) -C client/nbd-proxy
endif

override_dh_autoreconf_clean:
	# some Makefiles need to run before dh_autoreconf_clean removes files they
	# would use.

ifeq ($(DEB_HOST_ARCH_OS),linux)
	[ ! -f client/nbd-proxy/Makefile ] || $(MAKE) -C client/nbd-proxy clean
endif
	dh_autoreconf_clean

override_dh_clean:
	[ ! -f client/getltscfg/Makefile ] || $(MAKE) -C client/getltscfg clean

	# Using po specific Makefile to clean message catalogs
	$(MAKE) -C po clean

	chmod +x debian/bugs/ltsp-server/script

	dh_clean

override_dh_installinit:
	# Copy default and init scripts from upstream code
	cp $(CURDIR)/client/initscripts/ltsp-core $(CURDIR)/debian/ltsp-client-core.init
	cp $(CURDIR)/client/Ubuntu/initscripts/ltsp-core.upstart $(CURDIR)/debian/ltsp-client-core.upstart
	dh_installinit -a --no-start

override_dh_install:
	dh_install
ifeq ($(DEB_HOST_ARCH_OS),linux)
	mkdir -p $(CURDIR)/debian/ltsp-client-core/usr/sbin/
	install -m 755 client/nbd-proxy/src/nbd-proxy $(CURDIR)/debian/ltsp-client-core/usr/sbin/nbd-proxy
	install -m 755 client/nbd-proxy/src/nbd-client-proxy $(CURDIR)/debian/ltsp-client-core/usr/sbin/nbd-client-proxy
endif
	# manually install some cruft
	mkdir -p $(CURDIR)/debian/ltsp-client-core/usr/share/ltsp/
	mkdir -p $(CURDIR)/debian/ltsp-server/usr/share/ltsp/
	install -m 644 common/ltsp-common-functions $(CURDIR)/debian/ltsp-client-core/usr/share/ltsp/ltsp-client-common-functions
	sed -i -e "s/ltsp_tool 1.0/ltsp_tool $(DEB_VERSION)/" $(CURDIR)/debian/ltsp-client-core/usr/share/ltsp/ltsp-client-common-functions
	install -m 644 common/ltsp-common-functions $(CURDIR)/debian/ltsp-server/usr/share/ltsp/ltsp-server-common-functions
	sed -i -e "s/ltsp_tool 1.0/ltsp_tool $(DEB_VERSION)/" $(CURDIR)/debian/ltsp-server/usr/share/ltsp/ltsp-server-common-functions
	# ship a copy of ltsp-server-vendor-functions as
	# ltsp-client-vendor-functions... no, really!
	install -m 644 server/Debian/share/ltsp/ltsp-server-vendor-functions $(CURDIR)/debian/ltsp-client-core/usr/share/ltsp/ltsp-client-vendor-functions

	# install appropriate update-kernels.conf
	mkdir -p $(CURDIR)/debian/ltsp-client-core/etc/ltsp/
	install -m 644 client/$(DEB_VENDOR)/etc/ltsp/update-kernels.conf $(CURDIR)/debian/ltsp-client-core/etc/ltsp/update-kernels.conf

	# Using po specific Makefile to install message catalogs
	$(MAKE) -C po install DESTDIR=$(CURDIR)/debian/ltsp-server/

override_dh_autoreconf:
	dh_autoreconf ./debian/autogen.sh

override_dh_gencontrol:
	./debian/x-vendor-substvars $(DEB_VENDOR)
	dh_gencontrol

=== debian/watch ===
version=4
opts="mode=git" \
https://git.launchpad.net/@PACKAGE@/ \
refs/tags/@PACKAGE@@ANY_VERSION@

## ltsp 5.5.10-1build1%2B9.0trisquel2

=== po/Makefile ===
# Makefile to manage gettext files based in pppoeconf package 
# modified by Tiago Bortoletto Vaz <tiago@debian-ba.org>
# last update: Qua Jun 28 23:18:15 EDT 2006

DOMAIN=ltsp
POFILES=$(wildcard *.po)
MOFILES=$(patsubst %.po,%.mo,$(POFILES))
LINGUAS=$(basename $(POFILES))
GETTEXTFILES=$(shell find ../server ../common/ltsp-common-functions -type f | LC_ALL=C sort)
POTFILE=$(DOMAIN).pot
DESTDIR=/

%.mo: %.po
	msgfmt --statistics -o $@ $<

%.po: $(DOMAIN).pot
	msgmerge -U $*.po $(DOMAIN).pot

$(DOMAIN).pot:
	$(shell xgettext -L Shell -o $(DOMAIN).pot $(GETTEXTFILES))

update-po:
	-for lang in $(LINGUAS); do\
	    msgmerge -U $$lang.po $(DOMAIN).pot; \
	done

install: $(MOFILES)
	-for lang in $(LINGUAS); do\
	    install -d $(DESTDIR)/usr/share/locale/$$lang/LC_MESSAGES/; \
	    install -m 644 $$lang.mo $(DESTDIR)/usr/share/locale/$$lang/LC_MESSAGES/$(DOMAIN).mo; \
	done

all: update-po $(MOFILES)

clean:
	- rm *.mo *~

.PHONY: update-po

=== debian/changelog ===
ltsp (5.5.10-1build1+9.0trisquel2) etiona; urgency=medium

  * Rebranded for Trisquel, LDM_DIRECTX=True by default

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 15 Nov 2019 22:26:35 +0000

=== debian/control ===
--- 
+++ 
@@ -148,8 +148,8 @@
   dmz-cursor-theme,
   language-pack-en,
   libgl1-mesa-dri,
-  plymouth-theme-ubuntu-logo,
-  plymouth-theme-ubuntu-text,
+  plymouth-theme-trisquel-logo,
+  plymouth-theme-trisquel-text,
   wget
 X-Debian-Depends: cryptsetup
 Depends: ${misc:Depends},
@@ -184,7 +184,6 @@
   fonts-takao-pgothic,
   fonts-thai-tlwg | ttf-thai-tlwg,
   ttf-indic-fonts-core,
-  ttf-ubuntu-font-family,
   ttf-wqy-microhei
 Recommends: ${vendor:Recommends}
 X-Ubuntu-Suggests: zram-config

## ltsp 5.18.04

=== debian/changelog ===
ltsp (5.18.04-2) unstable; urgency=medium

  * Update Maintainer address.
  * Add patch from upstream to use POSIX awk exponent operator "^".

 -- Vagrant Cascadian <vagrant@debian.org>  Thu, 07 Jun 2018 19:12:44 -0700

ltsp (5.18.04-1) unstable; urgency=medium

  * New upstream version.

  [ Kim B. Heino ]
  * ltsp-update-kernels: update SELinux context even if in permissive
    mode.
  * Add support for multiple log targets in SYSLOG_HOST variable.
    (LP: #1690824)
  * ltsp-update-kernels: cleanup also .vmlinuz-*.hmac files.
  * init-ltsp.d/09-hostname: strip search domains from hostname.
  * Many updates to Redhat support.
  * ltsp-update-sshkeys: include ed25519 keys.
  * 50-set-time: if /etc/localtime is symlink handle it as such.

  [ Alkis Georgopoulos ]
  * Update Gentoo codebase a bit.
  * Check that ntpdate exists before calling it.
  * Prohibit the kernel from removing the ip address.
  * Fedora: don't set valid_flt=forever when BOOTPROTO=dhcp.

  [ Vagrant Cascadian ]
  * Sync translations with launchpad.
  * xfreerdp: Adjust default arguments when called as xfreerdp.
    (Closes: #819160)

  * Debian packaging:
    - debian/patches:
      + Remove patches applied upstream.
      + Remove ancient, unused kFreeBSD patches.
    - debian/control:
      + ltsp-client*: Prefer freerdp2-x11 over other RDP clients.
        (Closes: #892626)
      + Update Standards-Version to 4.1.4, no changes needed.
      + ltsp-client-builder: Depend on console-setup-udeb for both Debian
        and Ubuntu (Closes: #888583).

 -- Vagrant Cascadian <vagrant@debian.org>  Mon, 23 Apr 2018 18:42:19 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: ltsp
 Section: misc
 Priority: optional
-Maintainer: LTSP Debian Maintainers <pkg-ltsp-devel@lists.alioth.debian.org>
+Maintainer: Debian LTSP Maintainers <team+ltsp@tracker.debian.org>
 Uploaders: Vagrant Cascadian <vagrant@debian.org>
 Build-Depends: automake | automaken,
   bison,
@@ -14,7 +14,7 @@
   pkg-config,
   po-debconf,
   help2man
-Standards-Version: 4.1.1
+Standards-Version: 4.1.4
 Vcs-Git: https://git.launchpad.net/ltsp -b debian/master
 Vcs-Browser: https://git.launchpad.net/ltsp
 Homepage: http://ltsp.org
@@ -114,7 +114,7 @@
   cron,
   cryptsetup,
   cups-bsd,
-  freerdp-x11 | rdesktop,
+  freerdp2-x11 | freerdp-x11 | rdesktop,
   inputattach [!s390 !s390x] | joystick (<< 20051019-6) [!s390 !s390x],
   ldm,
   libasound2-plugins,
@@ -148,8 +148,8 @@
   dmz-cursor-theme,
   language-pack-en,
   libgl1-mesa-dri,
-  plymouth-theme-trisquel-logo,
-  plymouth-theme-trisquel-text,
+  plymouth-theme-ubuntu-logo,
+  plymouth-theme-ubuntu-text,
   wget
 X-Debian-Depends: cryptsetup
 Depends: ${misc:Depends},
@@ -157,7 +157,7 @@
   alsa-utils,
   cron,
   cups-bsd,
-  freerdp-x11 | rdesktop,
+  freerdp2-x11 | freerdp-x11 | rdesktop,
   inputattach [!s390 !s390x] | joystick (<< 20051019-6) [!s390 !s390x],
   ldm,
   libasound2-plugins,
@@ -184,6 +184,7 @@
   fonts-takao-pgothic,
   fonts-thai-tlwg | ttf-thai-tlwg,
   ttf-indic-fonts-core,
+  ttf-ubuntu-font-family,
   ttf-wqy-microhei
 Recommends: ${vendor:Recommends}
 X-Ubuntu-Suggests: zram-config
@@ -206,9 +207,8 @@
 Depends: ${misc:Depends},
   ${shlibs:Depends},
   ${vendor:Depends},
-  pkgsel
-X-Debian-Depends: kbd-chooser
-X-Ubuntu-Depends: console-setup-udeb
+  pkgsel,
+  console-setup-udeb,
 XB-Installer-Menu-Item: 7000
 Description: build an LTSP environment in the installer target
  This udeb bootstraps the LTSP client chroot in the installer target

## ltsp 5.18.12

=== debian/changelog ===
ltsp (5.18.12-3) unstable; urgency=medium

  * ltsp-client-builder: Add --trust-file-mirror to ltsp-build-client
    options to fix builds from unsigned CDs (Closes: #929735).

 -- Vagrant Cascadian <vagrant@debian.org>  Wed, 29 May 2019 13:02:07 -0700

ltsp (5.18.12-2) unstable; urgency=medium

  [ Frans Spiesschaert ]
  * [INTL:nl] Dutch translation of debconf messages (Closes: #924103).

  [ Vagrant Cascadian ]
  * Add patch to fix loop mounting and ensure mount is read-only. Thanks
    to Alkis Georgopoulos.
  * Add patch to fix codename detection (Closes: #925173). Thanks to
    Wolfgang Schweer.

 -- Vagrant Cascadian <vagrant@debian.org>  Mon, 27 May 2019 04:58:46 -0700

ltsp (5.18.12-1) unstable; urgency=medium

  * New upstream version.

  [ Alkis Georgopoulos ]
  * Avoid client hang on shutdown (LP: #1781783).
  * Resolve systemd-networkd issues (LP: #1756260).
  * Move rofs,cow to /run/initramfs to prevent systemd from unmounting
    them on shutdown.
  * init-ltsp.d/50-systemd-shutdown replaced nbd-disconnect.
  * Drop Ubuntu diff from debian/control.
  * Add X-Ubuntu-Depends: ldm-ubuntu-theme for ltsp-client.
  * Add snap and swapfile to ltsp-update-image.excludes.
  * At 50-system-shutdown, pid 1 is init-ltsp, not systemd.
  * Introduce HOST_TO_USERNAME lts.conf directive (LP: #1781774).
  * Exclude system journal from the generated image (LP: #1781820).
  * Allow backslashes in usernames (LP: #1652260).
  * ltsp-config dnsmasq --enable-dns, assumes the default is port=0.
  * Introduce ltsp-client-core.postinst to call update-kernels.
  * Default to IPAPPEND=3 for ProxyDHCP.
  * Properly create rc.local if needed (LP: #1782080).
  * Add epoptes to RM_SYSTEM_SERVICES.
  * Move the ldm-ubuntu-theme dependency to ldm.
  * Update 50-rm-system-services for Ubuntu 18.04.
  * Debian: don't ifdown the interfaces on shutdown.
  * Avoid getty@.service for all VTs except the first.
  * Ubuntu: disable apparmor on fat clients as it crashes libreoffice
    (LP: #1783066).
  * Debian: add apt-daily.timer to RM_SYSTEM_SERVICES.
  * Ubuntu: disable some new unnecessary cronjobs.
  * 10-resolv-conf: Domains, not Domain (LP: #1795985).
  * 10-resolv-conf: start comment with #, thanks Hyperbyte!

  [ Vagrant Cascadian ]
  * server/man: Add lts.conf manpage, generated with go-md2man.
  * lts.conf manpage: Update references to /dev/usb/lp0. Thanks to
    Wolfgang Schweer. (Closes: #795620).

  [ Wolfgang Schweer ]
  * Make 'ltsp-build-client/Debian/000-basic-configuration' more robust.
  * Adjust server/Debian/share/ltsp/ltsp-build-client-functions to be apt
    compliant.

  [ Vagrant Cascadian ]
  * ltsp-build-client-functions: Fix add_mirrors function to only enable
    trusted=yes for file: entries.

  [ Wolfgang Schweer and Vagrant Cascadian ]
  * Debian: ltsp-client-builder: Use --nfs-root to enable NFS support, and
    edit update-kernels.conf.d/nfs. (Closes: #904427).

  [ Wolfgang Schweer ]
  * Debian: ltsp-client-builder: Create directory update-kernels.conf.d to
    be able to write the update-kernels.conf.d/nfs file.

  [ Vagrant Cascadian ]
  * Debian: ltsp-build-client: Ensure configuration directory exists when
    enabling nfs-root.
  * Debian: ltsp-build-client: Add --trust-file-mirror commandline option
    to set [trusted=yes] on file type mirrors. (Closes: #911380).
  * Sync translations from Launchpad.
  * Debian: ltsp-build-client: Make TRUST_FILE_MIRROR a boolean.
  * Install lts.conf man page:
    - Add Build-Depends on go-md2man.
    - Add Breaks/Replaces on ltsp-docs.
    - Drop Suggests/Recommends on ltsp-docs.
  * Update manpage version patch.
  * debian/control: Update Standards-Version to 4.3.0, no changes.
  * debian/control: Update Standards-Version to 4.3.0, no changes.
  * ltsp-config: prefer installing from /usr/share/ltsp/examples rather
    than /usr/share/doc/ltsp-server/examples, as relying on contents in
    doc violates Debian policy, and is potentially very distro-specific.
  * Move ltsp-server-dnsmaq.conf into common configuration directory.
  * Update to debhelper compatibility level 11.
  * ltsp-server: Install ltsp-config examples in /usr/share/ltsp/examples,
    adding symlinks to /usr/share/doc/ltsp-server/examples/.

 -- Vagrant Cascadian <vagrant@debian.org>  Mon, 24 Dec 2018 17:30:09 -0800

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Uploaders: Vagrant Cascadian <vagrant@debian.org>
 Build-Depends: automake | automaken,
   bison,
-  debhelper (>= 10),
+  debhelper (>= 11),
   flex,
+  go-md2man,
   libfl-dev,
   dctrl-tools,
   libpopt-dev,
@@ -14,7 +15,7 @@
   pkg-config,
   po-debconf,
   help2man
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Vcs-Git: https://git.launchpad.net/ltsp -b debian/master
 Vcs-Browser: https://git.launchpad.net/ltsp
 Homepage: http://ltsp.org
@@ -40,7 +41,6 @@
   dnsmasq | isc-dhcp-server | dhcp3-server,
   ldm-server,
   libasound2-plugins,
-  ltsp-docs,
   ltspfs,
   pulseaudio,
   qemu-user-static,
@@ -48,7 +48,8 @@
   x11-utils,
   xauth
 Conflicts: ltsp-utils
-Replaces: ltsp-utils
+Breaks: ltsp-docs
+Replaces: ltsp-utils, ltsp-docs
 Architecture: all
 Description: basic LTSP server environment
  This is the basic environment including the minimal features necessary to
@@ -62,23 +63,20 @@
 Package: ltsp-server-standalone
 Depends: ${misc:Depends},
   ${vendor:Depends},
+  dnsmasq (>= 2.41) | tftpd-hpa | atftpd,
+  dnsmasq | isc-dhcp-server | dhcp3-server,
   gnupg,
-  dnsmasq | isc-dhcp-server | dhcp3-server,
   ldm-server,
   libasound2-plugins,
   ltspfs,
   ltsp-server (>= ${binary:Version}),
+  mate-desktop-environment | gnome-session | x-session-manager | x-window-manager,
   nbd-server (>= 1:2.9.25-2),
   openbsd-inetd | inet-superserver,
   openssh-server,
   squashfs-tools,
-  dnsmasq (>= 2.41) | tftpd-hpa | atftpd,
   x11-utils,
   xauth
-X-Debian-Depends:
-  mate-desktop-environment | gnome-session | x-session-manager | x-window-manager
-X-Ubuntu-Depends: gnome-session | mate-desktop-environment | x-session-manager | x-window-manager
-Recommends: ltsp-docs
 Architecture: all
 Description: complete LTSP server environment
  This is a complete LTSP server environment with all LTSP server features
@@ -88,9 +86,6 @@
  LTSP stands for 'Linux Terminal Server Project'.
 
 Package: ltsp-client-core
-X-Ubuntu-Depends: busybox-static,
-  udhcpc,
-  usbutils
 Pre-Depends: dpkg (>= 1.16.1),
 Depends: ${misc:Depends},
   ${shlibs:Depends},
@@ -144,13 +139,6 @@
  LTSP stands for 'Linux Terminal Server Project'.
 
 Package: ltsp-client
-X-Ubuntu-Depends: dbus,
-  dmz-cursor-theme,
-  language-pack-en,
-  libgl1-mesa-dri,
-  plymouth-theme-ubuntu-logo,
-  plymouth-theme-ubuntu-text,
-  wget
 X-Debian-Depends: cryptsetup
 Depends: ${misc:Depends},
   ${vendor:Depends},
@@ -173,21 +161,7 @@
   sshfs,
   x11-xserver-utils,
   xorg
-X-Ubuntu-Recommends: fonts-dejavu-core | ttf-dejavu-core,
-  fonts-freefont-ttf | ttf-freefont,
-  fonts-guru,
-  fonts-kacst-one,
-  fonts-khmeros-core,
-  fonts-lao,
-  fonts-liberation,
-  fonts-nanum,
-  fonts-takao-pgothic,
-  fonts-thai-tlwg | ttf-thai-tlwg,
-  ttf-indic-fonts-core,
-  ttf-ubuntu-font-family,
-  ttf-wqy-microhei
 Recommends: ${vendor:Recommends}
-X-Ubuntu-Suggests: zram-config
 Suggests: ${vendor:Suggests}
 Architecture: any
 Description: complete LTSP client environment

=== debian/rules ===
--- 
+++ 
@@ -47,7 +47,6 @@
 override_dh_installinit:
 	# Copy default and init scripts from upstream code
 	cp $(CURDIR)/client/initscripts/ltsp-core $(CURDIR)/debian/ltsp-client-core.init
-	cp $(CURDIR)/client/Ubuntu/initscripts/ltsp-core.upstart $(CURDIR)/debian/ltsp-client-core.upstart
 	dh_installinit -a --no-start
 
 override_dh_install:

## ltsp 19.11

=== debian/control ===
Source: ltsp
Section: misc
Priority: optional
Maintainer: Debian LTSP Maintainers <team+ltsp@tracker.debian.org>
Uploaders: Vagrant Cascadian <vagrant@debian.org>, Alkis Georgopoulos <alkisg@gmail.com>
Build-Depends: debhelper (>= 10),
  ronn | ruby-ronn (<< 0.7.3-5.1) | go-md2man,
Standards-Version: 4.4.1
Vcs-Git: https://github.com/ltsp/ltsp.git
Vcs-Browser: https://github.com/ltsp/ltsp/
Homepage: https://ltsp.github.io
Rules-Requires-Root: no

Package: ltsp
# Try to keep dependencies to what's there in plain `debootstrap`,
# except for: busybox, sshfs
Depends: ${misc:Depends},
  busybox | busybox-static | busybox-initramfs,
  procps,
  python3,
  sshfs,
  systemd,
Suggests: dnsmasq,
  epoptes,
  ethtool,
  ltsp-binaries | ipxe,
  net-tools,
  nfs-kernel-server,
  openssh-server,
  squashfs-tools,
Architecture: all
Description: Linux Terminal Server Project
 Make an installation able to netboot as an LTSP client.
 For LTSP servers, also install the suggested packages (dnsmasq etc).
 .
 LTSP helps in netbooting LAN clients from a single installation that resides
 in a chroot or a VM on the LTSP server. This way maintaining tens or hundreds
 of clients is as easy as maintaining a single PC.

## ltsp 19.12.1

=== debian/changelog ===
ltsp (19.12.1-1) unstable; urgency=medium

  [ Alkis Georgopoulos ]
  * Add var/spool/squid/* to image.excludes (#106)
  * Amend tftp-root path (#107)
  * pamltsp is not an LTSP applet and can't use is_command
  * Introduce CUPS_SERVER (#8)

  [ kvaps ]
  * Allow global KERNEL_PARAMETERS (#110)

  [ Alkis Georgopoulos ]
  * Allow global DEFAULT_IMAGE

  [ Vagrant Cascadian ]
  * Add var/cache/squid-deb-proxy/* to image.excludes

 -- Vagrant Cascadian <vagrant@debian.org>  Thu, 19 Dec 2019 23:33:44 -0800

ltsp (19.12-1) unstable; urgency=low

  * Use pam-auth-update to install pamltsp (#104)
  * Fuse3 doesn't need nonempty param (#99)
  * Demote sshfs to Recommends (#98)
  * Die after getopt errors (#94)
  * Introduce IMAGE_TO_RAM parameter
  * Introduce OMIT_FUNCTIONS parameter
  * Move back to ltsp.org
  * Show applets in ltsp --help (#80)
  * Workaround single quote Ronn bug (#72)
  * Document MENU_TIMEOUT for [server], not [clients] (#69)
  * Introduce textifb (#69)
  * Only modprobe loop if it's not loaded (#70)

 -- Alkis Georgopoulos <alkisg@gmail.com>  Fri, 06 Dec 2019 10:49:53 +0200

ltsp (19.11-1) unstable; urgency=low

  * Prefer external ltsp-binaries package, fall back to ipxe (#49)
  * Don't exclude /snap (#63)
  * Make RELOGIN work in lightdm (#58)
  * Remove HOSTNAME_PREFIX and _SUFFIX (#57)
  * Enable ltsp.service with compat=10
  * Amend AUTOLOGIN/PASSWORDS_x example (#58)
  * Use SOURCE_DATE_EPOCH to set the date when generating man pages
  * Command line parameters take precedence over ltsp.conf
  * Default to OVERWRITE=1 (#53)
  * Fix ltsp.conf manpage online rendering

 -- Alkis Georgopoulos <alkisg@gmail.com>  Mon, 11 Nov 2019 09:52:19 +0200

ltsp (19.10-1) experimental; urgency=medium

  [ Alkis Georgopoulos ]
  * Correct typo, x64_32 => x86_32
  * Enhance install/base64 commands in ltsp.conf
  * Use x86_32 in iPXE for all x86 32bit variants
  * Avoid dd/swap boot block on small extended partitions
  * Use no_root_squash for NFS3 (#25)
  * Use timeo=600 to avoid nfsmount lags (#27)
  * Use rsize=32768,wsize=32768 instead of timeo=600 (#27)
  * Use commas in ltsp-dnsmasq.conf dns-server option (#28)
  * Avoid `ltsp dnsmasq` failing on multiple proxy subnets (#30)
  * Set read_ahead_kb=4 for network mounts (#27)
  * Blacklist floppy module (#32)
  * Make user accounts available before 55-
  * Customize the greeter user list (#33)
  * Avoid section_list: not found warning (#36)
  * Correctly set _NL
  * Add dhcpcd to MASK_SYSTEM_SERVICES

  [ DI FH Markus Kienast ]
  * Fix PWMERGE_(SGR|DUR|DGR) (#42)

  [ Alkis Georgopoulos ]
  * Make snaps run (#44)

  [ Vagrant Cascadian ]
  * docs/ltsp.conf.5.md: Fix spelling of "loosely".
  * debian/control:
    - Build-Depends: Prefer "ronn" over "ruby-ronn".
    - Update Standards-Version to 4.4.1.
    - Set Rules-Requires-Root to "no".
  * debian/rules:
    - Override dh_installinit to not add init script snippets.
    - Copy ltsp.service file into debian/ and to allow dh_installsystemd
      to work correctly.
  * Fix typo in ltsp-initrd man page.
  * Fix debian/watch file.

 -- Vagrant Cascadian <vagrant@debian.org>  Sat, 19 Oct 2019 13:23:20 -0700

ltsp (19.09-1) unstable; urgency=low

  * Customize ltsp.ipxe from ltsp.conf parameters (#14)
  * Introduce ltsp service, enable NAT, disable flow control (#13)
  * Support Ubuntu and Debian live isos as bootable images
  * Implement autologin and passwordless logins
  * Generate a xorg.conf from ltsp.conf parameters
  * Implement LOCAL_SWAP
  * Fix various issues, inside and outside LTSP

 -- Alkis Georgopoulos <alkisg@gmail.com>  Mon, 02 Sep 2019 20:46:26 +0300

ltsp (19.08-1) unstable; urgency=low

  * Import the new LTSP codebase from https://github.com/eellak/gsoc2019-ltsp.
    With many thanks to GSoC, ellak.gr and the mentors!

 -- Alkis Georgopoulos <alkisg@gmail.com>  Sun, 18 Aug 2019 12:34:56 +0300

=== debian/control ===
--- 
+++ 
@@ -8,18 +8,20 @@
 Standards-Version: 4.4.1
 Vcs-Git: https://github.com/ltsp/ltsp.git
 Vcs-Browser: https://github.com/ltsp/ltsp/
-Homepage: https://ltsp.github.io
+Homepage: https://ltsp.org
 Rules-Requires-Root: no
 
 Package: ltsp
 # Try to keep dependencies to what's there in plain `debootstrap`,
-# except for: busybox, sshfs
+# except for: busybox, ssh-client
 Depends: ${misc:Depends},
   busybox | busybox-static | busybox-initramfs,
   procps,
   python3,
+  ssh-client,
+  systemd,
+Recommends: man-db,
   sshfs,
-  systemd,
 Suggests: dnsmasq,
   epoptes,
   ethtool,

## ltsp 20.03

=== debian/changelog ===
ltsp (20.03-1) unstable; urgency=medium

  * Use eval_percent in PWMERGE_* (#118)
  * Optimize autodetection for gnome-keyring-daemon removal (#115)
  * Empty /var/log in ltsp init (#123)
  * Disable snap refresh and hardlinks (#120)
  * Update masked services for Ubuntu 20.04 (#124)
  * Use absolute symlink for ltsp.service (#121)
  * When disabling cups, also disable cups-browsed

 -- Alkis Georgopoulos <alkisg@gmail.com>  Mon, 16 Mar 2020 10:46:12 +0200

ltsp (20.01-1) unstable; urgency=medium

  [ Alkis Georgopoulos ]
  * Permit netbooting by just copying the /usr/share/ltsp directory
  * Allow separate boot partition (#43)
  * Server-side support for Raspberry Pis (#68)
  * Introduce ADD_IMAGE_EXCLUDES and OMIT_IMAGE_EXCLUDES (#83)

  [ Vagrant Cascadian ]
  * debian/copyright: Use https URL for gnu.org licenses page

  [ Alkis Georgopoulos ]
  * Avoid warning when unlocking screensaver
  * If systemd units cannot be disabled, warn without failing
  * Restore live CD netbooting (#43)

  [ Vagrant Cascadian ]
  * docs/ltsp.conf: Fix spelling of "overridden".
  * debian/control: Update Standards-Version to 4.5.0, no changes.
  * Make cups mask only warn on failure.
  * Add cups.path and cups.socket to default masked services.

  [ Alkis Georgopoulos ]
  * Don't activate debug_shell while inside a subshell
  * Avoid partprobe race condition (#112)
  * Consolidate systemctl calls

 -- Vagrant Cascadian <vagrant@debian.org>  Thu, 30 Jan 2020 10:01:06 -0800

## ltsp 20.03.1

=== debian/changelog ===
ltsp (20.03.1-1) unstable; urgency=medium

  * Exclude account database backups from the generated image

 -- Alkis Georgopoulos <alkisg@gmail.com>  Sun, 22 Mar 2020 16:05:40 +0200

## ltsp 20.04

=== debian/changelog ===
ltsp (20.04-1) unstable; urgency=medium

  * Fix NFS chroot booting regression (#126)

 -- Alkis Georgopoulos <alkisg@gmail.com>  Fri, 03 Apr 2020 08:27:15 +0300

=== debian/watch ===
version=4
opts=filenamemangle=s/\/(.*)v/@PACKAGE@-/ \
   https://github.com/ltsp/@PACKAGE@/releases .*/v@ANY_VERSION@@ARCHIVE_EXT@

## ltsp 21.01

=== debian/changelog ===
ltsp (21.01-1+deb11u1) bullseye; urgency=medium

  * debian/patches:
    + Add 0001_Avoid-mv-on-init-symlink-in-order-to-work-around-ove.patch
      (cherry-picked from upstream). Avoid mv on init symlink in order to
      work around overlayfs issue. (Closes: #1049397).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 22 Aug 2023 18:32:24 +0200

ltsp (21.01-1) unstable; urgency=medium

  [ Alkis Georgopoulos ]
  * Update copyright in man pages
  * Support openssh 8.4 (#358)
  * Document separate partitions in ltsp image (#347)
  * Correctly pass SSH_OPTIONS to pamltsp (#114)
  * Increase SSHFS cleanup timeout
  * Avoid more than 2 login error messages (#353)
  * Remove all resume configuration files (#346)
  * Transform INCLUDE into section_call (#343)
  * Rename Raspbian to Raspberry Pi OS (#342)
  * Allow NFS home in live CDs (#138)
  * Avoid tmpfs home (#338)
  * Make images accessible only by root (#336)
  * Document the correct /etc/ltsp/bin/sshfs path (#341)
  * Initial SSSD/LDAP support (#338)
  * Update issue template for discussions
  * Prevent AUTOLOGIN blocking boot in unmatched clients (#157)
  * Disable nfs-kernel-server by default
  * Update ltsp.conf.5.md

  [ Vagrant Cascadian ]
  * debian/patches: Prefer resolvectl over systemd-resolve.
    (Closes: #979261)

  [ Sébastien Ducoulombier ]
  * make debclean remove docs/man

 -- Vagrant Cascadian <vagrant@debian.org>  Mon, 11 Jan 2021 14:22:12 -0800

ltsp (20.06-1) unstable; urgency=low

  * Use sftp auth to allow disabling ssh logins (#128)
  * Set upstream metadata fields (#129)
  * Support multiseat (#133)
  * Support netbooting without an initrd (#68)
  * Default to READ_AHEAD_KB=128 (#27)
  * Add simple NFS_HOME example in ltsp-nfs.5.md

 -- Alkis Georgopoulos <alkisg@gmail.com>  Fri, 19 Jun 2020 09:11:09 +0300

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Vagrant Cascadian <vagrant@debian.org>, Alkis Georgopoulos <alkisg@gmail.com>
 Build-Depends: debhelper (>= 10),
   ronn | ruby-ronn (<< 0.7.3-5.1) | go-md2man,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Vcs-Git: https://github.com/ltsp/ltsp.git
 Vcs-Browser: https://github.com/ltsp/ltsp/
 Homepage: https://ltsp.org

## ltsp 22.01

=== debian/changelog ===
ltsp (22.01-2) unstable; urgency=medium

  * debian/patches: Make the generated dates timezone-agnostic. Thanks to
    Chris Lamb! Closes: #1005029.
  * debian/control: Update Standards-Version to 4.6.0.

 -- Vagrant Cascadian <vagrant@debian.org>  Sat, 05 Feb 2022 15:17:00 -0800

ltsp (22.01-1) unstable; urgency=medium

  * Use cp -u to inject ltsp (#636)
  * Prefer go-md2man or pandoc over ronn for man pages (#635, #640)
  * Use more compatible markdown (#634)
  * Introduce DISABLE_SYSTEM_SERVICES (#495)
  * debian/watch: Use tags to scan for new upstream versions
  * Suggest single partitions for VMs (#618)
  * Implement ltsp remoteapps (#597)
  * Avoid creating /srv/ltsp/raspios/boot/overlays/overlays (#594)
  * Check if iPXE has the features we need (#579)
  * Add e4:5f:01 rpi OUI in dnsmasq and ltsp.conf (#498)
  * Implement multiseat autodetection (#133)
  * Use correct root hash in ltsp.conf.5.md (#547)
  * Correctly replace BASE_DIR in ltsp.ipxe (#416)
  * Don't hardcode LTSP paths in 25-ro-root.sh (#485)
  * Use the system hostname (#568)
  * Use DNS=1 on ltsp clients (#373)
  * Introduce undocumented ltsp session
  * Add PATH and username for CRONTAB_x (#454)
  * Check if sssd.conf exists (#450)

 -- Alkis Georgopoulos <alkisg@gmail.com>  Sat, 22 Jan 2022 09:08:11 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Debian LTSP Maintainers <team+ltsp@tracker.debian.org>
 Uploaders: Vagrant Cascadian <vagrant@debian.org>, Alkis Georgopoulos <alkisg@gmail.com>
 Build-Depends: debhelper (>= 10),
-  ronn | ruby-ronn (<< 0.7.3-5.1) | go-md2man,
-Standards-Version: 4.5.1
+  go-md2man (>= 2) | pandoc,
+Standards-Version: 4.6.0
 Vcs-Git: https://github.com/ltsp/ltsp.git
 Vcs-Browser: https://github.com/ltsp/ltsp/
 Homepage: https://ltsp.org

## ltsp 22.01-1~ubuntu20.04.1+10.0trisquel1

=== debian/changelog ===
ltsp (22.01-1~ubuntu20.04.1+10.0trisquel1) nabia; urgency=medium

  * Backported from oficial PPA and some rebranding.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 22 Jan 2022 12:37:07 +0000

ltsp (22.01-1~ubuntu20.04.1) focal; urgency=low

  * Auto build.

 -- Alkis Georgopoulos <alkisg@gmail.com>  Sat, 22 Jan 2022 07:14:02 +0000

## ltsp 23.01

=== debian/changelog ===
ltsp (23.01-1) unstable; urgency=medium

  [ Alkis Georgopoulos ]
  * Search for new memtest86+ binaries (#783)
  * Don't chmod -x epoptes anymore
  * Avoid systemd lingering (#778)
  * Avoid broken pipe warning (#767)
  * Better sssd autodetection (#749)
  * Support arctica-greeter (#742)
  * Search for DISABLE_SYSTEM_SERVICES in /lib too (#690)

  [ Vagrant Cascadian ]
  * debian/copyright: Update for v23.01.
  * debian/control: Update to Standards-Version 4.6.2, no changes.

 -- Vagrant Cascadian <vagrant@debian.org>  Tue, 24 Jan 2023 15:12:21 -0800

## ltsp 23.01-1~ubuntu20.04.1+10.0trisquel1

=== debian/changelog ===
ltsp (23.01-1~ubuntu20.04.1+10.0trisquel1) nabia; urgency=medium

  * Backported from oficial PPA and some rebranding.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 25 Jan 2023 15:41:00 +0000

ltsp (23.01-1~ubuntu20.04.1) focal; urgency=low

  * Auto build.

 -- Alkis Georgopoulos <alkisg@gmail.com>  Fri, 20 Jan 2023 05:56:46 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: ltsp
 Section: misc
 Priority: optional
-Maintainer: Debian LTSP Maintainers <team+ltsp@tracker.debian.org>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 Uploaders: Vagrant Cascadian <vagrant@debian.org>, Alkis Georgopoulos <alkisg@gmail.com>
 Build-Depends: debhelper (>= 10),
   go-md2man (>= 2) | pandoc,

## ltsp 23.01-1~ubuntu22.04.1+11.0trisquel1

=== debian/changelog ===
ltsp (23.01-1~ubuntu22.04.1+11.0trisquel1) aramo; urgency=medium

  * Backported from oficial PPA and some rebranding.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 25 Jan 2023 15:40:51 +0000

ltsp (23.01-1~ubuntu22.04.1) jammy; urgency=low

  * Auto build.

 -- Alkis Georgopoulos <alkisg@gmail.com>  Fri, 20 Jan 2023 05:56:50 +0000

## ltsp 23.02

=== debian/changelog ===
ltsp (23.02-2) unstable; urgency=medium

  * Team upload.

  * debian/patches:
    + Add 0001_Avoid-mv-on-init-symlink-in-order-to-work-around-ove.patch
      (cherry-picked from upstream). Avoid mv on init symlink in order to
      work around overlayfs issue. (Closes: #1049397).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 19 Aug 2023 17:33:29 +0200

ltsp (23.02-1) unstable; urgency=medium

  * Match both memtest86+x32.bin and memtest86+ia32.bin (#801)

 -- Alkis Georgopoulos <alkisg@gmail.com>  Tue, 28 Feb 2023 05:27:32 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: ltsp
 Section: misc
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Maintainer: Debian LTSP Maintainers <team+ltsp@tracker.debian.org>
 Uploaders: Vagrant Cascadian <vagrant@debian.org>, Alkis Georgopoulos <alkisg@gmail.com>
 Build-Depends: debhelper (>= 10),
   go-md2man (>= 2) | pandoc,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Git: https://github.com/ltsp/ltsp.git
 Vcs-Browser: https://github.com/ltsp/ltsp/
 Homepage: https://ltsp.org

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# % calls are the following params, which then call these dh_ binaries:
# clean: dh_clean
# build: dh_update_autotools_config
# binary: dh_testroot, dh_prep, dh_installdirs, dh_install, dh_installdocs,
#   dh_installchangelogs, dh_perl, dh_link, dh_strip_nondeterminism,
#   dh_compress, dh_fixperms, dh_missing, dh_installdeb, dh_gencontrol,
#   dh_md5sums, dh_builddeb
# dh clean:
%:
	dh $@

override_dh_auto_configure:
	cd docs; ./Makefile.sh; cd -

override_dh_installinit:
	dh_installinit --no-scripts

override_dh_install:
	dh_install --exclude _.git
	sed "s/^\(_VERSION=\).*/\1'$(DEB_VERSION)'/" -i "$(CURDIR)"/debian/ltsp/usr/share/ltsp/ltsp
	cp ltsp/common/service/ltsp.service debian/
	mkdir -p "$(CURDIR)/debian/ltsp/usr/share/initramfs-tools/hooks"
	# hooks/ltsp conflicts with ltsp-client-core
	cp -a "$(CURDIR)/debian/ltsp.initramfs-hook" "$(CURDIR)/debian/ltsp/usr/share/initramfs-tools/hooks/ltsp-next"

override_dh_clean:
	rm -f debian/ltsp.service
	rm -rf docs/man
	dh_clean
